#include <bits/stdc++.h>
using namespace std;
int n,b,d,c,tu1,k,h,tu2,mau1,mau2,a[10000000],mauchung,tuchung;
int ucln(int a,int b)
{
    int r;
    while (b!=0)
    {
        r=a%b;
        a=b;
        b=r;
    }
    return a;
}
int main()
{
    ifstream f1("TTPS.inp");
    ofstream f2("TTPS.out");
    f1>>tu1>>mau1>>tu2>>mau2;
    tu1=tu1/ucln(tu1,mau1);
    tu2=tu2/ucln(tu2,mau2);
    mau1=mau1/ucln(tu1,mau1);
    mau2=mau2/ucln(tu2,mau2);
    mauchung=mau1/ucln(mau1,mau2)*mau2;
    tuchung=mau2/ucln(mau1,mau2)*tu1+mau1/ucln(mau1,mau2)*tu2;
    c=ucln(tuchung,mauchung);
    f2<<tuchung/c<<"/"<<mauchung/c<<endl;
    d=ucln(tu1*tu2,mau1*mau2);
    f2<<tu1*tu2/d<<"/"<<mau1*mau2/d;
    f1.close();
    f2.close();
    return 0;
}


